package se.petterhansson.sevengp.gp.alphabet;


public class RandTerminal extends SevenGPNode {
	public RandTerminal() {
		super(0);
	}

	@Override
	public float getValue(SevenGameGPEnv env) {
		return (float) Math.random();
	}

	@Override
	public String getPrefix() {
		return "rand";
	}
	
	@Override
	protected String combineLuaExpr(String[] opValues) {
		return "math.random()";
	}
}
