package se.petterhansson.sevengp.gp.alphabet;

import se.petterhansson.sevengp.game.Cards;

public class RankTerminal extends SevenGPNode {
	public RankTerminal() {
		super(0);
	}

	@Override
	public float getValue(SevenGameGPEnv env) {
		return Cards.getRank(env.card);
	}

	@Override
	public String getPrefix() {
		return "rank";
	}
	
	@Override
	protected String combineLuaExpr(String[] opValues) {
		return "env.rank";
	}
}
