package se.petterhansson.sevengp.game;


public class Test implements SevenPlayerFactory {
	public static void main(String[] args) {
		new Test().run();
	}
	
	private void run() {
		SevenGame game = new SevenGame(4, this);
		
		System.out.print("Current player: ");
		System.out.println(game.getCurrentPlayer());
		
		for (SevenPlayer player : game) {
			System.out.println(player.toString());
		}
		
		while (!game.isFinished()) {
			game.nextPlayer();
		}
		
		System.out.print("Winner: ");
		System.out.println(game.getWinner().getPlayerIndex());
	}

	@Override
	public SevenPlayer createSevenPlayer(SevenGame game, int index, int[] cards) {
		return new TestSevenPlayer(game, index, cards, true);
	}
}
