package se.petterhansson.sevengp.gp.alphabet;

public class ConstTerminal extends SevenGPNode {
	public float val;
	
	public ConstTerminal() {
		super(0);
		
		val = (float) Math.pow(100, Math.random() * 2 - 1);
		
		if (Math.random() < 0.5) {
			val *= -1;
		}
	}

	@Override
	public float getValue(SevenGameGPEnv env) {
		return val;
	}

	@Override
	public String getPrefix() {
		return "" + val;
	}

	@Override
	public void alterMagnitudes() {
		val *= Math.pow(2, Math.random() * 2 - 1);
	}
	
	@Override
	protected String combineLuaExpr(String[] opValues) {
		return "" + val;
	}
}
