package se.petterhansson.sevengp.gp.alphabet;


public class RoundTerminal extends SevenGPNode {
	public RoundTerminal() {
		super(0);
	}

	@Override
	public float getValue(SevenGameGPEnv env) {
		return env.game.getNumRounds();
	}

	@Override
	public String getPrefix() {
		return "rounds";
	}
	
	@Override
	protected String combineLuaExpr(String[] opValues) {
		return "env.rounds";
	}
}
