package se.petterhansson.sevengp.gp.alphabet;

public class SubFunction extends SevenGPNode {
	public SubFunction() {
		super(2);
	}
	
	@Override
	public float getValue(SevenGameGPEnv env) {
		SevenGPNode lhs = (SevenGPNode) getChild(0);
		SevenGPNode rhs = (SevenGPNode) getChild(1);
		
		return lhs.getValue(env) - rhs.getValue(env);
	}

	@Override
	public String getPrefix() {
		return "-";
	}

	@Override
	protected String combineLuaExpr(String[] opValues) {
		return opValues[0] + "-" + opValues[1];
	}
}
