package se.petterhansson.sevengp.gp.alphabet;

import se.petterhansson.sevengp.game.Cards;

public class SuitTerminal extends SevenGPNode {
	public SuitTerminal() {
		super(0);
	}

	@Override
	public float getValue(SevenGameGPEnv env) {
		return Cards.getSuit(env.card);
	}

	@Override
	public String getPrefix() {
		return "suit";
	}
	
	@Override
	protected String combineLuaExpr(String[] opValues) {
		return "env.suit";
	}
}
